#include <bits/stdc++.h>
#define ll long long
using namespace std;

int main() {
    int i,n,j,p;
    short x,m=-1,t,f=0;
    cin>>n;
    int a[n];
    for(i=0;i<n;i++) cin>>a[i];
    for(i=0;i<n;i++){
        if(a[i]==x) continue;
        x=a[i];
        for(j=i+1;j<n;j++) if(a[j]>m) m=a[j],p=j;
        if(m>x) {t=a[i],a[i]=a[p],a[p]=t,f=1; break;}
    }
    if(!f) t=a[n-2],a[n-2]=a[n-1],a[n-1]=t;
    for(i=0;i<n;i++) printf("%d ",a[i]);
    return 0;
}